<div class="animated fadeIn">
    <div class="card" style="padding: 0.2rem">
        <div class="card-header bg-gray-200 text-primary d-flex justify-content-between">
            <div>
                <i class="fa fa-cog text-primary"></i> {{TITLE}}
            </div>
            <button class="btn btn-sm rounded btn-outline-primary" (click)="createPeople()">
                <i class="fa fa-plus-circle"></i> Carga Individual
            </button>
        </div>
        <div class="card-body mt-4 p-0">

            <div class="row justify-content-center align-items-center">
                <div class="col-12 col-md-6">
                    <div class="form-group">
                        <label class="col-form-label">Listas:</label>
                        <div class="controls">
                            <div class="input-prepend input-group">
                                <div class="input-group-prepend">
                                    <span class="input-group-text"><i class="fa fa-bars text-primary"></i></span>
                                </div>
                                <select [(ngModel)]="valueList" (change)="onChange()" class="form-control">
                                    <option value="*">Todas Las Listas</option>
                                    <option *ngFor="let list of listaList"
                                            value="{{ list.id }}">{{ list.nombre }}</option>
                                </select>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

            <div *ngIf="fields.length > 0" class="shadow-bh"
                 style=" border-radius: 25px;
                        margin-left: 1rem; margin-right: 1rem">

                <div>
                    <form [formGroup]="listSearchForm" (ngSubmit)="filterIdList()" novalidate>

                        <div class="row justify-content-center align-items-center text-primary">

                            <div *ngFor="let field of fields" class="col-12 col-md-6 col-lg-3">

                                <div *ngIf="field.type ==  'scat' " class="form-group">
                                    <label class="col-form-label">{{ field.label }}</label>
                                    <div class="controls">
                                        <div class="input-prepend input-group">
                                            <div class="input-group-prepend">
                                            <span class="input-group-text"><i
                                                    class="fa fa-bars text-primary"></i></span>
                                            </div>
                                            <select [formControlName]="field.index" class="form-control">
                                                <option *ngFor="let op of field.subcategories"
                                                        value="{{ op.label }}">{{ op.label }}</option>
                                            </select>
                                        </div>
                                    </div>
                                </div>

                                <div *ngIf="field.type !== 'scat' " class="form-group">
                                    <label class="col-form-label">{{ field.label }}</label>
                                    <div class="controls">
                                        <div class="input-prepend input-group">
                                            <div class="input-group-prepend">
                                            <span class="input-group-text"><i
                                                    class="fa fa-user text-primary"></i></span>
                                            </div>
                                            <input *ngIf="field.type == 'text'" type="text"
                                                   [formControlName]="field.index"
                                                   class="form-control">
                                            <input *ngIf="field.type == 'num'" type="number"
                                                   [formControlName]="field.index"
                                                   class="form-control">
                                            <input *ngIf="field.type == 'date'" type="date"
                                                   [formControlName]="field.index"
                                                   class="form-control">
                                        </div>
                                    </div>
                                </div>

                            </div>

                            <div class="col-12 col-md-6 col-lg-3">
                                <button type="submit" class="btn bg-primary btn-block rounded">
                                    <i class="fa fa-search"></i> Buscar
                                </button>
                            </div>

                        </div>

                    </form>
                </div>

            </div>

            <br>
            <div *ngIf="this.camposHeaders.length > 0">
                <div class="column">
                    <label class="control">Registros a mostrar:
                        <input style="width: 15%" type="number" class="input" min="1"
                               [(ngModel)]="configPage.itemsPerPage">
                    </label>
                </div>
                <div style="overflow-x: auto;">
                    <table *ngIf="this.camposHeaders.length > 0" class="table table-sm table-hover">
                        <thead class="bg-primary">
                        <tr>
                            <th *ngFor="let head of this.camposHeaders">{{ head.label }}</th>
                            <th>Exacto/Homónimo</th>
                            <th>Masivo/Individual</th>
                            <th *ngIf="this.viewResp">Responsable</th>
                            <th>Lista</th>
                            <th>Acciones</th>
                        </tr>
                        </thead>
                        <tbody>
                        <tr *ngFor="let fields1 of this.fieldsRegister | paginate: configPage">
                            <td *ngFor="let field of this.ordenLista(fields1)">{{ field.data.valor }}</td>
                            <td>
                                <i class="fa fa-pencil-square-o text-info fa-2x" aria-hidden="true"
                                   style="cursor: pointer"
                                   title="Editar" (click)="editar(fields1)"></i>
                                <i class="fa fa-times text-danger fa-2x" aria-hidden="true" style="cursor: pointer"
                                   title="Eliminar" (click)="modalAnulation(anulationMSG, fields1[0].idtrx)"></i>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </div>
                <pagination-controls *ngIf="this.camposHeaders.length > 0"
                                     (pageChange)="onPageChange($event)"
                                     [id]="configPage.id"
                                     [previousLabel]="'Anterior'"
                                     [nextLabel]="'Siguiente'"

                ></pagination-controls>
            </div>
            <br>
        </div>
    </div>
</div>

<ng-template #anulationMSG>
    <div class="modal-content">
        <div class="modal-header">
            <h5 class="modal-title">Justificación para Eliminar de Persona</h5>
        </div>

        <div class="modal-body">

            <div class="form-group">
                <label class="col-form-label">Justificación:</label>
                <div class="controls">
                    <div class="input-prepend input-group">
                        <div class="input-group-prepend">
                            <span class="input-group-text"><i class="fa fa-pencil text-primary"></i></span>
                        </div>
                        <input [(ngModel)]="motivo" type="text" class="form-control">
                    </div>
                </div>
            </div>
        </div>

        <div class="modal-footer">
            <button type="button" class="btn btn-sm btn-primary rounded" (click)="darBajaRegistro()"><i
                    class="fa fa-arrow-down"
                    aria-hidden="true"></i>
                Eliminar
            </button>
            <button type="button" class="btn btn-sm btn-danger rounded" data-dismiss="modal" (click)="closeModal()">
                <i class="fa fa-close" aria-hidden="true"></i> Cancelar
            </button>
        </div>
    </div>
</ng-template>
